import { type ComponentProps } from 'react'

import { Tabs as RadixTabs } from 'radix-ui'

type TabsProps = ComponentProps<typeof RadixTabs.Root>

function Tabs({ children, ...props }: TabsProps) {
	return <RadixTabs.Root {...props}>{children}</RadixTabs.Root>
}

Tabs.List = RadixTabs.List
Tabs.Trigger = RadixTabs.Trigger
Tabs.Content = RadixTabs.Content

export { Tabs }
